### Function

# GLib test_trap_assertions

since: 2.0

#### Declaration

    void
    g_test_trap_assertions (
      const char* domain,
      const char* file,
      int line,
      const char* func,
      guint64 assertion_flags,
      const char* pattern
    )

#### Description

No description available.

Available since: 2.0

#### Parameters

`domain`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `int`

  No description available.

`func`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`assertion_flags`

  Type: `guint64`

  No description available.

`pattern`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.